Subject: Re: [PATCH] Move all dashed form git commands to libexecdir

From: Jakub Narebski <[email-masked]>
Date: Thu, 29 Nov 2007 01:14:16 +0100

Nguyen Thai Ngoc Duy wrote:

> On Nov 28, 2007 8:13 AM, Junio C Hamano <[email-masked]> wrote:
>> In case somebody is thinking about 36e5e70e0f40 (Start deprecating
>> "git-command" in favor of "git command"), that is a somewhat different
>> issue.  What Linus suggested is not installing git-foo link for built-in
>> commands _anywhere_ on the filesystem.  Not just "out of user's PATH".
>> That is not deprecating dash form but removing the support for it.  We
>> need to give ample time for users to adjust to such a change.
> 
> A little note on this one. I've been using git without builtin links
> for a while with my git-box port. There are still some builtin fixups
> needed. And because execv_git_cmd() always uses dash form, so it's
> impossible to use vanilla git without builtin links.

By the way, what is the status of your git-box port?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git